﻿This mod takes the existing unused model of Ancient wisp, strips everything off it, and adds 4 new skills. a passive, 10 new animations, 8 skins, and way too many particle effects for me to count.

## Feedback
- I am extremely open to any kind of feedback, question, suggestion, bug report, or really anything. 
- You can contact me on discord (@Rein#7551):
- Via DM
- On the modding server
- On the offical server
- (Also am looking into setting up a server specifically for feedback if it is needed)

### Install
- Delete old versions (You never know)
- Unzip the plugin zip
- Copy all files to the plugins folder in Bepinex(in your game install directory)
- Bonus points if you create a separate folder inside the plugins folder for every mod

### Uninstall
- Delete the files that come with the mod from the plugins folder

## New this update
- Even further primary cleanup
- Fixed compatibility issue with AutoItemPickup
- Reduced movespeed penalty while charging Special
- Camera position adjustments (Will include config for this setting in the future)
- Fixed a bug where flames didn't tick after spreading a certain number of times.
- Fixed a bug that prevented you from being frozen
- Validated that save file issues from skins are no longer occuring

## Character Information

### Lore
- Yeah... Maybe some day.

### Base Stats
- 15 damage
- 130 hp
- Other stats are identical to engineer.
- This makes them roughly 18% tankier than commando.

### Skills
- Descriptions for the skills and passive can be found in game. Feel free to ask me if you have any questions.

### Playstyle
- Rogue Wisp is a short ranged, immobile, high-damage caster.
- They have an additional resource to manage called Flame Charge which is gained from primary, and killing enemies that are burning from utility.
- Flame Charge increases the potency of abilities, but falls off over time if it is over a certain threshold.
- Flame Charge is visible as a UI element next to the crosshair. As it increases the bar goes from black (0) to white to red to green to blue to orange to teal to purple and then repeats (although it is exceptionally rare to increase it that high)
- All skills except primary consume Flame Charge on use.

### General tips for playing them
- Grouping enemies up to allow flames from utility to spread is the fastest way to increase your Flame Charge.
- Remember that there is no upper limit to your Flame Charge, but the rate of decrease increases with the value. At extremely high charge values your damage can be multiplied by 30, or even more.

## Future plans
- Much of the balancing is still in progress to some degree. Feedback is incredibly helpful here.

### Very soon (within a few days)
- Addressing any bugs that may show up
- Fixing networking. Currently should work, but there may be some issues.
- Polish for some visual effects

### Not quite so very soon (A week or so)
- Switching from using the existing burning debuff to a custom debuff (waiting on r2api and bepinex updates for this)
- Adding a better way to show when charge is increased. Likely a custom buff for self that restores charge over time
- Rewriting the way primary restores charge and deals damage
- Custom character display for character select
- Changing armor material with skins

### Fairly soon (within two to three weeks)
- Cleaning up animations
- Other things

### Later (a few months maybe? idk)
- Skill variants
- Custom unlocks (With a new stage and custom boss, maybe a few items as well)

## Changelog

### 1.0.3
- Even further primary cleanup
- Fixed compatibility issue with AutoItemPickup
- Reduced movespeed penalty while charging Special
- Camera position adjustments (Will include config for this setting in the future)
- Fixed a bug where flames didn't tick after spreading a certain number of times.
- Fixed a bug that prevented you from being frozen
- Validated that save file issues from skins are no longer occuring

### 1.0.2
- Further cleanup of primary behaviour
- Reduced time to charge special by 40%
- Actually updated the descriptions too this time!

### 1.0.1
- Added a Character Select display
- Tuned cooldowns and damage across the board to get damage output in line with other survivors
- Cleaned up primary behaviour to be more consistent
- Reduced radius on Special explosion, it was excessively large (may still be a bit too large, we'll see)
- In compensation for the damage changes (overall output is significantly higher than original) range on Primary and Utility are reduced.

### 1.0.0
- First release
